local camera_gamera = {}
local Camera = require "libs.gamera.gamera"
local cam = nil
local scale = 1 -- 0.5 error

function camera_gamera:init(mx,my,gx,gy)
    cam = Camera.new(0,0,mx,my)
    cam:setWindow(0,0,gx,gy)
    cam:setScale(scale)
end 

function camera_gamera:draw(map)
    local cx,cy,_,_=cam:getVisible()
    
    --map:draw(-cx,-cy,scale,scale)
    cam:draw(function(l,t,w,h)
        map:draw(-cx,-cy,scale,scale)
       
        love.graphics.print("hello world", 100,100)
    end)
    
end 

function camera_gamera:position(x,y)
    cam:setPosition(x,y)
end



return camera_gamera