local camera_stalkerx = {}
local Camera = require "libs.STALKER-X.Camera"
local cam = nil
local scale = 1

function camera_stalkerx:init(mx,my,gx,gy)
    cam = Camera()
    cam.scale = scale
    cam:setBounds(0, 0, mx,my)
end 

function camera_stalkerx:draw(map)
    cam:attach()

    map:draw()
    love.graphics.print("hello world", 100,100)
    cam:detach()
    cam:draw()
end 

function camera_stalkerx:position(x,y)
    cam:follow(x,y)
end

function camera_stalkerx:update(dt)
    cam:update(dt)
end

return camera_stalkerx