local sti = require "libs.STI.sti"
local camera = require "camera_stalkerx"
local map = nil


local x,y = 0,0
local scale = 1


function love.load()
    local gx,gy=love.graphics.getDimensions( )

    map = sti("mapa.lua")
    map:resize(gx,gy)

    love.keyboard.setKeyRepeat(true)

    local mx,my = map.width * map.tilewidth, map.height * map.tileheight

    camera:init(mx,my,gx,gy)
end

function love.draw()
    camera:draw(map)
end 


function love.update(dt)


    move(dt)


    map:update(dt)

    if camera.update then
        camera:update(dt)
    end 

    camera:position(x,y)



end

function move(dt)

    if love.keyboard.isDown("a") then
        x = x - 500*dt
    elseif love.keyboard.isDown("d") then
        x = x + 500*dt
    end

    if love.keyboard.isDown("w") then
        y = y - 500*dt
    elseif love.keyboard.isDown("s") then
        y = y + 500*dt
    end
end